### Method

# Gimp Matrix3 affine

#### Declaration [src]

    void
    gimp_matrix3_affine (
      GimpMatrix3* matrix,
      gdouble a,
      gdouble b,
      gdouble c,
      gdouble d,
      gdouble e,
      gdouble f
    )

#### Description [src]

Applies the affine transformation given by six values to `matrix`. The six values form define an affine transformation matrix as illustrated below:

( a c e ) ( b d f ) ( 0 0 1 ).

#### Parameters

`a`

  Type: `gdouble`

  The ‘a’ coefficient.

`b`

  Type: `gdouble`

  The ‘b’ coefficient.

`c`

  Type: `gdouble`

  The ‘c’ coefficient.

`d`

  Type: `gdouble`

  The ‘d’ coefficient.

`e`

  Type: `gdouble`

  The ‘e’ coefficient.

`f`

  Type: `gdouble`

  The ‘f’ coefficient.